/*
链接：https://ac.nowcoder.com/acm/contest/45864/D
来源：牛客网

题目描述 
为了准备一个独特的颁奖典礼，组织者在会场的一片矩形区域（可看做是平面直角坐标系的第一象限）铺上一些矩形地毯。一共有n张地毯，编号从1到n。现在将这些地毯按照编号从小到大的顺序平行于坐标轴先后铺设，后铺的地毯覆盖在前面已经铺好的地毯之上。地毯铺设完成后，组织者想知道覆盖地面某个点的最上面的那张地毯的编号。注意：在矩形地毯边界和四个顶点上的点也算被地毯覆盖。
输入描述:
第一行，一个整数n，表示总共有n张地毯。
接下来的n行中，第i+1行表示编号i的地毯的信息，包含四个正整数a，b，g，k，每两个整数之间用一个空格隔开，分别表示铺设地毯的左下角的坐标（a，b）以及地毯在x轴和y轴方向的长度。
第n+2行包含两个正整数x和y，表示所求的地面的点的坐标（x，y）。
输出描述:
输出共1行，一个整数，表示所求的地毯的编号；若此处没有被地毯覆盖则输出-1。
示例1
输入
复制
3
1 0 2 3
0 2 3 3
2 1 3 3
2 2
输出
复制
3
说明
如下图，1号地毯用实线表示，2号地毯用虚线表示，3号用双实线表示，覆盖点（2，2）的最上面一张地毯是3号地毯。

备注:
对于30%的数据，有n≤2；
对于50%的数据，有0≤a,b,g,k≤100；
对于100%的数据，有0≤n≤10,000，0≤a,b,g,k≤100,000。
*/
#include<iostream>
using namespace std;
const int N =10005;
int ai[N], bi[N], gi[N], ki[N];
int n,x,y;
int main()
{
    cin>>n;
    for(int i = 1; i <= n; i++) 
        cin>>ai[i]>>bi[i]>>gi[i]>>ki[i];
    cin>>x>>y;
    for(int i = n; i >= 1; i--) 
        if(x >= ai[i] && x <= ai[i] + gi[i] && y >= bi[i] && y <= bi[i] + ki[i]) 
        {
            cout << i << endl;
            return 0;
        }
    cout << -1;
    return 0;
}